## galapi
Class Item

    java.lang.Object
      galapi.Item

Direct Known Subclasses:
  Atomic, Node, ProcessingContext, xsUntyped

public class Item
extends java.lang.Object

An `Item` is the a primitive datatype for a value. Any XQuery value is an item or a list of items. Items are either `Atomic` or `Node`.

See Also:
  `ItemList`, `Atomic`, `Node`

Field Summary
`protected int` `item`

Constructor Summary
`protected` `Item()`
`protected` `Item(int native_item)`

Method Summary
`protected void` `finalize()` This method is used to release the item and the memory allocated to it.
`Atomic` `getAtomic()` XQuery Accessor: cast the item to an atomic value
`Attribute` `getAttribute()` XQuery Accessor: cast the item to an attribute
`Element` `getElement()` XQuery Accessor: cast the item to an element
`protected int` `getNativeItem()`
`Node` `getNode()` XQuery Accessor: cast the item to a node
`java.lang.String` `itemKind()` XQuery Accessor: get kind of item.
`protected static int` `nativeAtomicValue(int i)`
`protected static int` `nativeAttribute(int i)`
`protected static int` `nativeElement(int i)`
`protected static void` `nativeFree(int i)`
`protected static java.lang.String` `nativeItemKind(int i)`
`protected static int` `nativeNode(int i)`
`protected static java.lang.String` `nativeString(int i)`
`protected void` `setItem(int i)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    protected int item

Constructor Detail

### Item

    protected Item()

### Item

    protected Item(int native_item)

Method Detail

### toString

    public java.lang.String toString()

  Returns:
    a string representation of the item
  Throws:
    `java.lang.RuntimeException` - when there is an internal Galax error

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  This method is used to release the item and the memory allocated to it.

  Throws:
    `java.lang.Throwable`

### itemKind

    public java.lang.String itemKind()

  XQuery Accessor: get kind of item.

### getNode

    public Node getNode()

  XQuery Accessor: cast the item to a node

### getAtomic

    public Atomic getAtomic()

  XQuery Accessor: cast the item to an atomic value

### getElement

    public Element getElement()

  XQuery Accessor: cast the item to an element

### getAttribute

    public Attribute getAttribute()

  XQuery Accessor: cast the item to an attribute

### nativeAtomicValue

    protected static int nativeAtomicValue(int i)

### nativeElement

    protected static int nativeElement(int i)

### nativeAttribute

    protected static int nativeAttribute(int i)

### nativeNode

    protected static int nativeNode(int i)

### nativeString

    protected static java.lang.String nativeString(int i)

### nativeItemKind

    protected static java.lang.String nativeItemKind(int i)

### setItem

    protected void setItem(int i)

### getNativeItem

    protected int getNativeItem()

### nativeFree

    protected static void nativeFree(int i)